#ifndef _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_
#define _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_

#include "request.hh"

/// Super class of all input log media
/**
 * Provide interface for input log media, i.e. to log Request received
 * by the InputMedium.
 */
class InputLogMedium
{
public:
  virtual ~InputLogMedium(void) {}

  /** @name Operations */
  //@{
  virtual bool log_request(const Request &request) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_INPUTLOGMEDIUM_HH_
