#include "interlinknetworks.hh"



float InterlinkNetworks::
estimate_distance(const Measurement &measurement)
{
  double constant_term = make_constant_term(measurement) ;
  const float &average_ss = measurement.get_average_ss() ;
  return pow(10, (constant_term - average_ss) / 35) ;
}
