#ifndef _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_
#define _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_

#include "result.hh"

/// Super class of all output media
/**
 * Provide interface for output media, i.e. to write Results computed
 * by a PositioningAlgorithm.
 */
class OutputMedium
{
public:
  OutputMedium(void) {}

  virtual ~OutputMedium(void) {}

  /** @name Operations */
  //@{
  virtual void write(const Result &result) = 0 ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_OUTPUTMEDIUM_HH_
