#ifndef _OWLPS_POSITIONING_TEXTFILEWRITER_HH_
#define _OWLPS_POSITIONING_TEXTFILEWRITER_HH_

#include <string>
#include <fstream>

/// Write text to a file
class TextFileWriter
{
private:
  std::string file_name ;
  std::ofstream file ;

public:
  TextFileWriter(const std::string &_file_name) ;
  virtual ~TextFileWriter(void) ;

  bool write_text(const std::string &text) ;
} ;

#endif // _OWLPS_POSITIONING_TEXTFILEWRITER_HH_
